### 类型-查询变更记录

地址：POST /rwdedit/classDef/changeRecord/query

参数

```json
{
    "criteria":{
        "id":1,
        "code":"project",//类型编码
        "operationType":"create",//创建：create 修改：update 删除：delete
        "operationUser":"90000000",//操作人
        "operationTime":1611295200000,//操作时间
        "confirmUser":"90000000",//确认人
        "confirmTime":1611295200000,//确认时间
        "publishUser":"90000000",//发布人
        "publishTime":1611295200000,//发布时间
        "finishTime":1611295200000,//完成时间
        "state":0//状态 0.取消 1.初始化 2.确认 3.发布 4.完成
    },
    "page":1,
    "size":10
}
```

返回结果

```json
{
    "result": "success",
    "data": [
        {
            "id": 1,
            "code": "project",
            "operationType": "update",
            "operationUser": "90000000",
            "operationTime": 1611295200000,
            "confirmUser": "90000000",
            "confirmTime": 1611295200000,
            "publishUser": "90000000",
            "publishTime": 1611295200000,
            "finishTime": 1611312582000,
            "valid": true,
            "state": 4
        }
    ],
    "count": 1
}
```

### 类型-新增变更记录

地址：POST /rwdedit/classDef/changeRecord/create

参数

 ```json
{
    "code": "projectItem",//必传
    //参考物理世界-类型定义接口文档
    "operationType": "create"
}
 ```

返回结果

```json
{
    "result": "success",
    "data": {
        "id": 2
    }
}
```

### 类型-修改变更记录状态

地址：POST /rwdedit/classDef/changeRecord/update

 参数

```json
{
      "id":"1",//必传
      "state":"0"//必传 状态 0.取消 1.初始化 2.确认 3.发布 4.完成
}   
```

 返回结果

```json
{
    "result": "success"
}
```
### 类型-发布下载

地址：POST /rwdedit/classDef/changeRecord/download

 参数

```json
[7,8,9,12]
```

 返回结果 sql文件
 
### 信息点-查询变更记录

地址：POST /rwdedit/funcidDef/changeRecord/query

参数

```json
{
    "criteria":{
        "id":1,
        "code":"project",//类型编码
        "operationType":"create",//创建：create 修改：update 删除：delete
        "operationUser":"90000000",//操作人
        "operationTime":1611295200000,//操作时间
        "confirmUser":"90000000",//确认人
        "confirmTime":1611295200000,//确认时间
        "publishUser":"90000000",//发布人
        "publishTime":1611295200000,//发布时间
        "finishTime":1611295200000,//完成时间
        "state":0//状态 0.取消 1.初始化 2.确认 3.发布 4.完成
    },
    "page":1,
    "size":10
}
```

返回结果

```json
{
    "result": "success",
    "data": [
        {
            "id": 1,
            "code": "project",
            "operationType": "update",
            "operationUser": "90000000",
            "operationTime": 1611295200000,
            "confirmUser": "90000000",
            "confirmTime": 1611295200000,
            "publishUser": "90000000",
            "publishTime": 1611295200000,
            "finishTime": 1611312582000,
            "valid": true,
            "state": 4
        }
    ],
    "count": 1
}
```

### 信息点-新增变更记录

地址：POST /rwdedit/funcidDef/changeRecord/create

参数

 ```json
{
    "code": "projectItem",//必传 信息点编码
    "classCode": "projectItem",//必传 类型编码
    //参考物理世界-信息点定义接口文档
    "operationType": "create"
}
 ```

返回结果

```json
{
    "result": "success",
    "data": {
        "id": 2
    }
}
```

### 信息点-修改变更记录状态

地址：POST /rwdedit/funcidDef/changeRecord/update

 参数

```json
{
      "id":"1",//必传
      "state":"0"//必传 状态 0.取消 1.初始化 2.确认 3.发布 4.完成
}   
```

 返回结果

```json
{
    "result": "success"
}
```
### 信息点-发布下载

地址：POST /rwdedit/funcidDef/changeRecord/download

 参数

```json
[7,8,9,12]
```

 返回结果 sql文件

### 版本号查询


地址：POST /rwdedit/version/query

参数

```json
{
    "criteria":{
        "id":1,
        "version":"3.1.1",//版本编号
        "createTime":"1611295200000",//创建时间
        "createUser":"90000000",//创建人
    },
    "page":1,
    "size":10
}
```

返回结果

```json
{
    "result": "success",
    "data": [
        {
            "id":1,
            "version":"3.1.1",//版本编号
            "createTime":"1611295200000",//创建时间
            "createUser":"90000000",//创建人
1.         }
    ],
    "count": 1
}
```
### 新增版本号


地址：POST /rwdedit/version/create

参数

```json
{
    "version":"3.1.1",//版本编号
}
```

返回结果

```json
{
    "result": "success",
    "id":1
}
```

### 变更记录批量加入版本号


地址：POST /rwdedit/version/infoAddVersion?versionId=1&type=1

路径参数说明
```
   versionId:版本编号id
   type：1.类型，2.信息点 
```

参数

```json
    [
        1,2,3 //变更记录id
    ]
```

返回结果

```json
{
    "result": "success"
}
```

